extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:scorp/scorp_layer1",
    "layer2": "tgheroes:scorp/scorp_layer2",
    "segment": "tgheroes:scorp/scorp_tail",
	"tip": "tgheroes:scorp/scorp_tail"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
  
   var scorptail = utils.createModel(renderer, "tgheroes:scorptail", "segment");
   var scorptip = utils.createModel(renderer, "tgheroes:scorptip", "tip");
   var tentacles = renderer.bindProperty("fiskheroes:tentacles").setTentacles([
        { "offset": [2.0, -10.0, -2.0], "direction": [10.0, 10.0, -10.0] }

    ]);
    tentacles.anchor.set("body");
    tentacles.setSegmentModel(scorptail);
	tentacles.setHeadModel(scorptip);
    tentacles.segmentLength = 1.0;
    tentacles.segments = 30;
	
}



